Inbox
List inbox items with filtering, search, and pagination
Authorization
bearerAuth Session JWT or OAuth2 access token
In: header
Query Parameters
Pagination cursor
Number of items per page (1-100)
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Search query (FTS)
Statuses (comma-separated) - legacy, use status[in]
Document types (comma-separated) - legacy, use document_type[in]
Sort column
Sort order
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/inbox"{
"data": [
{
"id": "string",
"organization_id": "string",
"amount": 0,
"currency": "string",
"display_name": "string",
"status": "string",
"meta": null,
"created_at": "string",
"date": "string",
"due_date": "string",
"type": "string",
"website": "string",
"transaction_id": "string",
"document_type": "string",
"payment_terms": "string",
"original_currency": "string",
"reference_number": "string",
"category_id": "string",
"items": null,
"notes": "string",
"exclude_from_analytics": true,
"base_amount": 0,
"base_currency": "string",
"project_id": "string",
"cluster_id": "string",
"cluster_index": 0,
"primary_document_id": "string",
"primary_document": {
"id": "string",
"file_path": "string",
"file_name": "string",
"content_type": "string",
"size": 0
},
"category": {
"id": "string",
"name": "string",
"color": "string"
},
"project": {
"id": "string",
"name": "string"
},
"match_candidates": [
{
"inbox_id": "string",
"confidence_score": "string",
"status": "string"
}
],
"vendor_id": "string",
"buyer": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"seller": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"subtotal": 0,
"tax_amount": 0,
"reference_document_number": "string",
"source": "string",
"approval_action": "string",
"approval_at": "string",
"approval_actor": {
"id": "string",
"full_name": "string",
"email": "string",
"avatar_url": "string"
},
"approval_reason": "string"
}
],
"meta": {
"count": 0,
"next_cursor": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Create a new inbox item. When primary_document_id is provided without amount, OCR runs automatically to extract financial data from the linked document.
Authorization
bearerAuth Session JWT or OAuth2 access token
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/inbox" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "string",
"organization_id": "string",
"amount": 0,
"currency": "string",
"display_name": "string",
"status": "string",
"meta": null,
"created_at": "string",
"date": "string",
"due_date": "string",
"type": "string",
"website": "string",
"transaction_id": "string",
"document_type": "string",
"payment_terms": "string",
"original_currency": "string",
"reference_number": "string",
"category_id": "string",
"items": null,
"notes": "string",
"exclude_from_analytics": true,
"base_amount": 0,
"base_currency": "string",
"project_id": "string",
"cluster_id": "string",
"cluster_index": 0,
"primary_document_id": "string",
"primary_document": {
"id": "string",
"file_path": "string",
"file_name": "string",
"content_type": "string",
"size": 0
},
"category": {
"id": "string",
"name": "string",
"color": "string"
},
"project": {
"id": "string",
"name": "string"
},
"match_candidates": [
{
"inbox_id": "string",
"confidence_score": "string",
"status": "string"
}
],
"vendor_id": "string",
"buyer": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"seller": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"subtotal": 0,
"tax_amount": 0,
"reference_document_number": "string",
"source": "string",
"approval_action": "string",
"approval_at": "string",
"approval_actor": {
"id": "string",
"full_name": "string",
"email": "string",
"avatar_url": "string"
},
"approval_reason": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Get a single inbox item by ID
Authorization
bearerAuth Session JWT or OAuth2 access token
In: header
Path Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/inbox/string"{
"data": {
"id": "string",
"organization_id": "string",
"amount": 0,
"currency": "string",
"display_name": "string",
"status": "string",
"meta": null,
"created_at": "string",
"date": "string",
"due_date": "string",
"type": "string",
"website": "string",
"transaction_id": "string",
"document_type": "string",
"payment_terms": "string",
"original_currency": "string",
"reference_number": "string",
"category_id": "string",
"items": null,
"notes": "string",
"exclude_from_analytics": true,
"base_amount": 0,
"base_currency": "string",
"project_id": "string",
"cluster_id": "string",
"cluster_index": 0,
"primary_document_id": "string",
"primary_document": {
"id": "string",
"file_path": "string",
"file_name": "string",
"content_type": "string",
"size": 0
},
"category": {
"id": "string",
"name": "string",
"color": "string"
},
"project": {
"id": "string",
"name": "string"
},
"match_candidates": [
{
"inbox_id": "string",
"confidence_score": "string",
"status": "string"
}
],
"vendor_id": "string",
"buyer": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"seller": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"subtotal": 0,
"tax_amount": 0,
"reference_document_number": "string",
"source": "string",
"approval_action": "string",
"approval_at": "string",
"approval_actor": {
"id": "string",
"full_name": "string",
"email": "string",
"avatar_url": "string"
},
"approval_reason": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Update inbox item fields
Authorization
bearerAuth Session JWT or OAuth2 access token
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/inbox/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "string",
"organization_id": "string",
"amount": 0,
"currency": "string",
"display_name": "string",
"status": "string",
"meta": null,
"created_at": "string",
"date": "string",
"due_date": "string",
"type": "string",
"website": "string",
"transaction_id": "string",
"document_type": "string",
"payment_terms": "string",
"original_currency": "string",
"reference_number": "string",
"category_id": "string",
"items": null,
"notes": "string",
"exclude_from_analytics": true,
"base_amount": 0,
"base_currency": "string",
"project_id": "string",
"cluster_id": "string",
"cluster_index": 0,
"primary_document_id": "string",
"primary_document": {
"id": "string",
"file_path": "string",
"file_name": "string",
"content_type": "string",
"size": 0
},
"category": {
"id": "string",
"name": "string",
"color": "string"
},
"project": {
"id": "string",
"name": "string"
},
"match_candidates": [
{
"inbox_id": "string",
"confidence_score": "string",
"status": "string"
}
],
"vendor_id": "string",
"buyer": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"seller": {
"name": "string",
"country": "string",
"tax_id": "string",
"tax_type": "string"
},
"subtotal": 0,
"tax_amount": 0,
"reference_document_number": "string",
"source": "string",
"approval_action": "string",
"approval_at": "string",
"approval_actor": {
"id": "string",
"full_name": "string",
"email": "string",
"avatar_url": "string"
},
"approval_reason": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Delete an inbox item by ID
Authorization
bearerAuth Session JWT or OAuth2 access token
In: header
Path Parameters
Response Body
application/json
application/json
curl -X DELETE "https://example.com/v1/inbox/string"{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}